@echo off

if not "%DAV_HOME%" == "" goto gotDavHome
set DAV_HOME=.
:gotDavHome

set CP=%CLASSPATH%
for %%i in (%DAV_HOME%\lib\*.jar) do call %DAV_HOME%\bin\cp.bat %%i

if "%1" == "run" goto doRun
if "%1" == "start" goto doStart
if "%1" == "stop" goto doStop

echo Usage:  dav ( run | start | stop )
echo Commands:
echo   run -   Start DAV Server in the current window
echo   start - Start DAV Server in a separate window
echo   stop -  Stop DAV Server
goto cleanup

:doRun
java %JAVA_OPTS% -classpath %CP% -Dcatalina.home=%DAV_HOME% org.apache.catalina.startup.Catalina start
goto cleanup

:doStart
start java %JAVA_OPTS% -classpath %CP% -Dcatalina.home=%DAV_HOME% org.apache.catalina.startup.Catalina start
goto cleanup

:doStop
java %JAVA_OPTS% -classpath %CP% -Dcatalina.home=%DAV_HOME% org.apache.catalina.startup.Catalina stop
goto cleanup

:cleanup
set CP=